;; meta stuff
(let ((usr-backup (locate-user-emacs-file "backup"))
      (usr-custom (locate-user-emacs-file "custom.el")))
  (setq auto-save-default              nil
        backup-directory-alist         `((".*" . ,usr-backup))
        create-lockfiles               nil
        custom-file                    usr-custom
        gc-cons-threshold              64000000
        global-mark-ring-max           1024
        inhibit-compacting-font-caches t
        inhibit-startup-screen         t
        initial-scratch-message        nil
        mark-ring-max                  1024))

;; important ergonomics
(setq fill-column 80
      sentence-end-double-space nil
      ring-bell-function #'ignore)

(defalias #'yes-or-no-p #'y-or-n-p)

;; packages
(setq package-archives '(("melpa" . "https://melpa.org/packages/")
                         ("gnu"   . "https://elpa.gnu.org/packages/")))

;; default visuals
(add-to-list 'default-frame-alist '(width  . 80))
(add-to-list 'default-frame-alist '(height . 30))

(set-face-attribute 'default nil :family "Courier Prime Code"
                    :height 120 :weight 'normal :width 'normal)

(set-face-attribute 'variable-pitch nil :family "Source Sans Pro"
                    :height 120 :weight 'normal :width 'normal)

(copy-face 'default 'fixed-pitch)
(copy-face 'default 'mode-line)

(setq agw-mode-line-family
      (if (string-equal system-type "windows-nt")
          "Noto Mono"
          "tewi2a"))

;; font alternatives
(setq face-font-family-alternatives
      '(("Courier Prime Code" "Noto Mono")
        ("Source Sans Pro" "Noto Sans" "Noto Sans CJK JP" "Noto Color Emoji")))

;; EOF
